module.exports = {
  create: {
    requestBody: [
      '!year',
      '!title',
      'status',
      'termnum',
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'year',
      'title',
      'status',
      'termnum',
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        year :'year',
        title :'title',
        status :'status',
        termnum :'termnum',
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
